=== debian/changelog ===
python-parsl (2025.11.17+ds-1) unstable; urgency=medium

  * New upstream version 2025.11.17+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Nov 2025 21:20:07 +0100
