## python-parsl 2025.12.01+ds

=== debian/changelog ===
python-parsl (2025.12.01+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.01+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 02 Dec 2025 21:37:59 +0100
