## python-parsl 2025.12.08+ds

=== debian/changelog ===
python-parsl (2025.12.08+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.08+ds

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Dec 2025 01:19:32 +0100
