## python-parsl 2025.12.15+ds

=== debian/changelog ===
python-parsl (2025.12.15+ds-1) unstable; urgency=medium

  * New upstream version 2025.12.15+ds
  * pytest-9.patch: new: fix conftest failure. (Closes: #1123284)

 -- Étienne Mollier <emollier@debian.org>  Fri, 19 Dec 2025 21:26:50 +0100
