## python-parsl 2026.01.05+ds

=== debian/changelog ===
python-parsl (2026.01.05+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.05+ds
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Tue, 06 Jan 2026 20:18:43 +0100
