=== debian/control ===
Source: python-parsl
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               help2man <!nodoc>,
               python3-filelock <!nocheck> <!nodoc>,
               python3-flask <!nodoc>,
               python3-flask-sqlalchemy <!nodoc>,
               mypy <!nocheck>,
               mpich <!nocheck>,
               python3-dill <!nocheck> <!nodoc>,
               python3-globus-sdk <!nocheck> <!nodoc>,
               python3-mypy <!nocheck>,
               python3-mypy-extensions <!nocheck>,
               python3-nbsphinx <!nocheck> <!nodoc>,
               python3-pandas <!nocheck>,
               python3-paramiko <!nocheck> <!nodoc>,
               python3-psutil <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-random-order <!nocheck>,
               python3-requests <!nocheck> <!nodoc>,
               python3-setproctitle <!nocheck>,
               python3-sortedcontainers <!nocheck>,
               python3-sphinx-rtd-theme <!nocheck> <!nodoc>,
               python3-sqlalchemy <!nocheck>,
               python3-typeguard <!nocheck> <!nodoc>,
               python3-typing-extensions <!nocheck>,
               python3-typing-inspect <!nocheck>,
               python3-typeshed <!nocheck>,
               python3-tblib <!nocheck> <!nodoc>,
               python3-zmq <!nocheck> <!nodoc>,
               twine <!nocheck>
Standards-Version: 4.7.3
Homepage: https://github.com/Parsl/parsl
Vcs-Git: https://salsa.debian.org/python-team/packages/python-parsl.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-parsl.git

Package: python3-parsl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         libjs-bootstrap4,
         libjs-jquery,
         libjs-popper.js,
         node-fortawesome-fontawesome-free,
         python3-flask,
         python3-flask-sqlalchemy
# Provider for plotly-latest.min.js; not ideal but better than nothing.
# FIXME: a package with standalone plotly-latest.min.js would be nice.
Recommends: r-cran-plotly
Description: Parallel Scripting Library for Python
 Parsl extends parallelism in Python beyond a single computer.
 .
 One can use Parsl just like Python's parallel executors but across multiple
 cores and nodes. However, the real power of Parsl is in expressing multi-step
 workflows of functions. Parsl lets one chain functions together and will
 launch each function as inputs and computing resources are available.

Package: python-parsl-doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python3-parsl,
         libjs-requirejs
Section: doc
Description: Parallel Scripting Library for Python - documentation
 Parsl extends parallelism in Python beyond a single computer.
 .
 One can use Parsl just like Python's parallel executors but across multiple
 cores and nodes. However, the real power of Parsl is in expressing multi-step
 workflows of functions. Parsl lets one chain functions together and will
 launch each function as inputs and computing resources are available.
 .
 This package provides a locally readable Parsl documentation.
