## python-parsl 2026.01.19+ds

=== debian/changelog ===
python-parsl (2026.01.19+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.19+ds
  * pytest-9.patch: fix typo caught by lintian in the Description.
  * pytest-9.patch: forwarded upstream.

 -- Étienne Mollier <emollier@debian.org>  Tue, 20 Jan 2026 19:28:48 +0100
