## python-parsl 2026.01.26+ds

=== debian/changelog ===
python-parsl (2026.01.26+ds-1) unstable; urgency=medium

  * New upstream version 2026.01.26+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 27 Jan 2026 21:19:31 +0100
