## python-parsl 2026.02.09+ds

=== debian/changelog ===
python-parsl (2026.02.09+ds-1) unstable; urgency=medium

  * New upstream version 2026.02.09+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 10 Feb 2026 20:15:06 +0100
