## python-parsl 2026.02.23+ds

=== debian/changelog ===
python-parsl (2026.02.23+ds-1) unstable; urgency=medium

  * New upstream version 2026.02.23+ds

 -- Étienne Mollier <emollier@debian.org>  Tue, 24 Feb 2026 22:27:41 +0100
